// UISETVAR.CPP  Constants, types and variables for UISETUP

#ifndef UISETVAR_CPP
#define UISETVAR_CPP

#include <stdlib.h>             // for exit(), random()
#include <iostream.h>
#include <fstream.h>            // for ifstream
#include <stdio.h>              // for puts() etc
#include <string.h>             // for strlen etc
#include <ctype.h>
#define Uses_TDeskTop
#define Uses_TApplication
#include <tv.h>

#include "ui.h"

enum tdata_type {USHORT_DATA,REAL_DATA,UINT_DATA,INT_DATA,
   BOOLEAN_DATA,PATH_DATA,VGA_COLOR_DATA};

typedef char title_str [MAX_ITEM_LEN];

title_str system_name;
system_response quit_flag;

static TDeskTop *gdesk_top = NULL;  //Global desk top pointer
static TApplication *gthe_app = NULL; //Global application pointer

const boolean MAX_MIN_CHECK = TRUE;
const boolean NO_MAX_MIN_CHECK = FALSE;

file_names_rec *ui_files;

#endif
