/* FFBRM.H  Header file for feedforward network broom balancing system  */

#ifndef FFBRM_H
#define FFBRM_H

#include "brm.h"
#include "ff.h"

/*  FFBRMPRC.C  */
short load_max_min_data (ff_setup_rec setup,state_rec *min_state,
	   state_rec *max_state,training_rec *tr_rec);
state_rec get_random_broom_state (state_rec min_state,state_rec max_state);
void get_network_input (ff_setup_rec setup,float force,state_rec state,
	  state_rec min_state,f_vector x_in);

/*  FFBRMCTR.C  */
void create_training_file (ff_setup_rec setup);

/*  FFBRMTRN.C  */
void train_look_ahead_network (ff_setup_rec setup);

/*  FFBRMRUN.C  */
void run_ff_controller(ff_setup_rec setup);

#endif
